Phone is ringing but no sliders to pick up the call are presented

Bug #1453004 reported by Matthias Apitz on 2015-05-08
100
This bug affects 20 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Bill Filler
telephony-service (Ubuntu)
High
Tiago Salem Herrmann
Vivid
Undecided
Unassigned

Bug Description

May, 2: it happened that my wife was unable to pick-up incoming phone
calls with her BQ (r21). The device was ringing but in dark without
presenting the slider to pick-up the call or to reject it. When she
came home I could proof this and have had to reboot the BQ.

I have some log files because I was monitoring every 300 secs all running
processes (ro catch some other battery drain issue) and will attach this
log later.

Matthias

Related branches

Matthias Apitz (gubu) on 2015-05-08
information type: Private Security → Public
Alberto Mardegan (mardy) on 2015-05-08
tags: added: bq
Matthias Apitz (gubu) on 2015-05-08
tags: added: dialer-app
Alberto Mardegan (mardy) on 2015-05-08
affects: ubuntu-ux → canonical-devices-system-image
Matthias Apitz (gubu) wrote :
Download full text (11.8 KiB)

I have here some output of cyclic top commands; the situation in question
is visible after 15:11 CEST:

battery capacity%: 86
battery temp : 210
top - 12:24:36 up 2 days, 16:36, 1 user, load average: 0,00, 0,01, 0,05
Tasks: 204 total, 1 running, 202 sleeping, 1 stopped, 0 zombie
%Cpu(s): 1,9 us, 1,7 sy, 0,0 ni, 96,4 id, 0,1 wa, 0,0 hi, 0,0 si, 0,0 st
KiB Mem: 983908 total, 688084 used, 295824 free, 1024 buffers
KiB Swap: 524284 total, 0 used, 524284 free. 97240 cached Mem

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 5349 phablet 20 0 4872 1128 792 R 26,7 0,1 0:00.09 top
   81 root -92 0 0 0 0 S 5,3 0,0 0:23.24 mtk-tpd
 1570 root 20 0 245816 10252 8184 S 5,3 1,0 0:53.46 unity-syst+
    1 root 20 0 4044 2496 1112 S 0,0 0,3 0:08.74 init
    2 root 20 0 0 0 0 S 0,0 0,0 0:00.19 kthreadd
    3 root 20 0 0 0 0 S 0,0 0,0 0:01.82 ksoftirqd/0
    6 root -99 0 0 0 0 S 0,0 0,0 0:00.13 migration/0
   16 root 0 -20 0 0 0 S 0,0 0,0 0:00.00 khelper
   17 root 20 0 0 0 0 S 0,0 0,0 0:00.00 kdevtmpfs
   18 root 0 -20 0 0 0 S 0,0 0,0 0:00.00 netns
   19 root 0 -20 0 0 0 S 0,0 0,0 0:00.00 fs_sync
   20 root 0 -20 0 0 0 S 0,0 0,0 0:00.11 suspend
   21 root 20 0 0 0 0 S 0,0 0,0 0:00.16 sync_supers

battery capacity%: 83
battery temp : 210
top - 13:12:53 up 2 days, 17:24, 1 user, load average: 0,00, 0,01, 0,05
Tasks: 203 total, 1 running, 201 sleeping, 1 stopped, 0 zombie
%Cpu(s): 1,9 us, 1,7 sy, 0,0 ni, 96,3 id, 0,1 wa, 0,0 hi, 0,0 si, 0,0 st
KiB Mem: 983908 total, 676416 used, 307492 free, 1108 buffers
KiB Swap: 524284 total, 0 used, 524284 free. 95808 cached Mem

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 8094 phablet 20 0 4872 1128 792 R 26,9 0,1 0:00.09 top
   71 root -95 0 0 0 0 S 5,4 0,0 0:18.76 disp_confi+
    1 root 20 0 4044 2496 1112 S 0,0 0,3 0:08.77 init
    2 root 20 0 0 0 0 S 0,0 0,0 0:00.20 kthreadd
    3 root 20 0 0 0 0 S 0,0 0,0 0:01.92 ksoftirqd/0
    6 root -99 0 0 0 0 S 0,0 0,0 0:00.14 migration/0
   16 root 0 -20 0 0 0 S 0,0 0,0 0:00.00 khelper
   17 root 20 0 0 0 0 S 0,0 0,0 0:00.00 kdevtmpfs
   18 root 0 -20 0 0 0 S 0,0 0,0 0:00.00 netns
   19 root 0 -20 0 0 0 S 0,0 0,0 0:00.00 fs_sync
   20 root 0 -20 0 0 0 S 0,0 0,0 0:00.11 suspend
   21 root 20 0 0 0 0 S 0,0 0,0 0:00.16 sync_supers
   22 root 20 0 0 0 0 S 0,0 0,0 0:00.61 bdi-default

battery capacity%: 81
battery temp : 210
top - 14:26:42 up 2 days, 18:38, 1 user, load average: ...

Changed in canonical-devices-system-image:
assignee: nobody → Bill Filler (bfiller)
Bill Filler (bfiller) on 2015-05-12
Changed in telephony-service:
assignee: nobody → Tiago Salem Herrmann (tiagosh)
importance: Undecided → High
Bill Filler (bfiller) on 2015-05-18
Changed in telephony-service (Ubuntu):
assignee: nobody → Tiago Salem Herrmann (tiagosh)
importance: Undecided → High
no longer affects: telephony-service
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in telephony-service (Ubuntu):
status: New → Confirmed
Alberto Mardegan (mardy) wrote :

If it might help, I think it happened to me twice, and in both cases I first missed a couple of incoming calls while in silent mode. Don't know if this might be related.

Matthias Apitz (gubu) wrote :

this (missed incoming calls) was in my case as well; she was in public train and said she could not here the ringing, and when she got aware of, there have been no sliders; somehow the complete GUI must have crashed;

Bill Filler (bfiller) wrote :

I cannot reproduce this. Any specific steps would be appreciated.

Also if it happens again, please include the following log files:
/home/phablet/.config/upstart/dbus.log
/home/phablet/.config/upstart/telephony-service-indicator.log
/home/phablet/.config/upstart/application-legacy-dialer-app-.log

and see if there are any files in /var/crash

Changed in canonical-devices-system-image:
milestone: none → ww28-2015
importance: Undecided → High
status: New → Incomplete
Changed in telephony-service (Ubuntu):
status: Confirmed → Incomplete

for some time right now I cannot reproduce this bug no more. I waited some
time for this to appear again - but it actually did not. As far as I am
concerned, the bug is no longer a problem. thank you for workingon that and
let's hope other users profit as well.

nico

Am Dienstag, 16. Juni 2015 21:44:31 CEST schrieb Bill Filler:
> I cannot reproduce this. Any specific steps would be appreciated.
>
> Also if it happens again, please include the following log files:
> /home/phablet/.config/upstart/dbus.log
> /home/phablet/.config/upstart/telephony-service-indicator.log
> /home/phablet/.config/upstart/application-legacy-dialer-app-.log
>
> and see if there are any files in /var/crash
>
> ** Changed in: canonical-devices-system-image
> Milestone: None => ww28-2015
>
> ** Changed in: canonical-devices-system-image
> Importance: Undecided => High
>
> ** Changed in: canonical-devices-system-image
> Status: New => Incomplete
>
> ** Changed in: telephony-service (Ubuntu)
> Status: Confirmed => Incomplete
>

--
Mit Dekko von meinem Ubuntu-Gerät gesendet

Pat McGowan (pat-mcgowan) wrote :

also reproduced on arale with ota4, see the dupe

summary: - BQ E4.5 is ringing but no sliders to pick up the call are presented
+ Phone is ringing but no sliders to pick up the call are presented
Alberto Mardegan (mardy) wrote :

I did a test right now, and I managed to reproduce it at the first attempt. I just asked my wife to call me, and I didn't pick up the phone or touch it. Initially, the pickup dialog appeared, but after some time, while the phone was still ringing, it disappeared all by itself.

I cannot find any crashes in /var/crash/

Alberto Mardegan (mardy) wrote :
Alberto Mardegan (mardy) wrote :

The call is coming from the phone number +7921873XXXX (I replaced the last 4 digits with XXXX)

Alberto Mardegan (mardy) wrote :
Alberto Mardegan (mardy) wrote :

I'm also uploading the addressbook-service and media-hub logs, since they appear to have the same modification time, roughly corresponding to the incoming call.

Alberto Mardegan (mardy) wrote :
Alberto Mardegan (mardy) wrote :

And here's unity8, just in case.

Changed in canonical-devices-system-image:
status: Incomplete → Confirmed

El día Tuesday, June 30, 2015 a las 07:34:19AM -0000, Alberto Mardegan escribió:

> I did a test right now, and I managed to reproduce it at the first
> attempt. I just asked my wife to call me, and I didn't pick up the phone
> or touch it. Initially, the pickup dialog appeared, but after some time,
> while the phone was still ringing, it disappeared all by itself.

Would be interesting to test after this if additional calls will present
the slider at all. If not, this would be exactly as in my case: my wife missed
some calls due to the noise in the public transport and after this she
could not see any other call, only heard the ringing.

 matthias
--
Matthias Apitz, <email address hidden>, http://www.unixarea.de/ +49-176-38902045
askubuntu.com says to me:
You've earned the "Tumbleweed" badge (Asked a question with zero score, no answers, no comments,
and low views for a week) for "BQ E4.5 r22: setup an alarm from a script run by user phablet or
its cron job".

Changed in telephony-service (Ubuntu):
status: Incomplete → Confirmed
Alberto Mardegan (mardy) wrote :

Output of
    dbus-send --print-reply --dest=org.freedesktop.Telepathy.MissionControl5 /org/freedesktop/Telepathy/debug org.freedesktop.Telepathy.Debug.GetMessages > mission-control.log

Alberto Mardegan (mardy) wrote :

Also, the battery gets drawn much faster when the device is in this state:
http://paste.ubuntu.com/11804720/

Alberto Mardegan (mardy) wrote :

So, looks like I can reproduce this bug with 100% reliability.

When the phone is in the normal (working) state, if I receive an incoming call and I don't pick it up, the incoming notification disappears after 1 minute (I ran a stopwatch, and measured 59.66 seconds), but the phone continues ringing and vibrating.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in telephony-service (Ubuntu Vivid):
status: New → Confirmed
Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package telephony-service - 0.1+15.10.20150709-0ubuntu1

---------------
telephony-service (0.1+15.10.20150709-0ubuntu1) wily; urgency=medium

  [ Gustavo Pichorim Boiko ]
  * Sync the fixes that were released in OTA5: (LP: #1384274, #1433068,
    #1412709, #1427286, #1453004)

 -- CI Train Bot <email address hidden> Thu, 09 Jul 2015 13:46:05 +0000

Changed in telephony-service (Ubuntu):
status: Confirmed → Fix Released
Fazakas Lehel (fl-mobita) wrote :

Hi,
I'm use BQ (r24). When I have an income call, If I press the volume button once I'm able to slide down the call slider. After this the slider never coming up if somebody call me. Only a restart allows me to pick up my phone again.

Lehel

Kapusi Gábor (kapusi-gabor02) wrote :

Hi, i used ota 5 (r24), and this bug is confirmed. I dont pick up the call.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers